list share links
curl --request GET \
--url https://api.anam.ai/v1/share-links \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.anam.ai/v1/share-links"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.anam.ai/v1/share-links', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"token": "sh_2kL9pQxYzR4vN8mBwHfJc",
"type": "LINK",
"expiresAt": "2026-04-27T10:00:00.000Z",
"usageLimit": 10,
"usageCount": 3,
"allowedOrigins": [],
"allowAllOrigins": false,
"removeWatermark": false,
"enabled": true,
"isPrimary": false,
"createdAt": "2026-04-20T10:00:00.000Z",
"personaId": "00000000-0000-0000-0000-000000000000",
"personaName": "Cara",
"organizationId": "00000000-0000-0000-0000-000000000000"
}
],
"meta": {
"total": 1,
"lastPage": 1,
"currentPage": 1,
"perPage": 20,
"prev": null,
"next": null
}
}list share links
Returns a list of all share links for the organization
GET
/
v1
/
share-links
list share links
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Page number for pagination
Required range:
x >= 1Number of items per page (max 100)
Required range:
1 <= x <= 100Search term to filter share links
Filter share links by persona ID
Last modified on July 10, 2026
Was this page helpful?
⌘I

